Loading...
Searching...
No Matches
Metadata.h File Reference
`#include "version.h"`
`#include "Exceptions.h"`
`#include "Types.h"`
`#include "math/Math.h"`
`#include "util/Name.h"`
`#include <cstdint>`
`#include <iostream>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Metadata
| Base class for storing metadata information in a grid. More...
class | UnknownMetadata
| Subclass to hold raw data of an unregistered type. More...
class | TypedMetadata< T >
| Templated metadata class to hold specific types. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0

## Typedefs

using | BoolMetadata = TypedMetadata<bool>
using | DoubleMetadata = TypedMetadata<double>
using | FloatMetadata = TypedMetadata<float>
using | Int32Metadata = TypedMetadata<int32_t>
using | Int64Metadata = TypedMetadata<int64_t>
using | StringMetadata = TypedMetadata<std::string>
using | Vec2DMetadata = TypedMetadata<Vec2d>
using | Vec2IMetadata = TypedMetadata<Vec2i>
using | Vec2SMetadata = TypedMetadata<Vec2s>
using | Vec3DMetadata = TypedMetadata<Vec3d>
using | Vec3IMetadata = TypedMetadata<Vec3i>
using | Vec3SMetadata = TypedMetadata<Vec3s>
using | Vec4DMetadata = TypedMetadata<Vec4d>
using | Vec4IMetadata = TypedMetadata<Vec4i>
using | Vec4SMetadata = TypedMetadata<Vec4s>
using | Mat4SMetadata = TypedMetadata<Mat4s>
using | Mat4DMetadata = TypedMetadata<Mat4d>

## Functions

std::ostream & | operator<< (std::ostream &ostr, const Metadata &metadata)
| Write a Metadata to an output stream.